---
updatedAt: 2026-09-29T08:40:52.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get applicant-facing consents

# Overview

Use this method to obtain a list of all accepted applicant consents. Thus, you retrieve the evidence of an applicant having acknowledged or accepted certain legally significant language (typically in the form of a consent or a notification) previously embedded in the user journey. This allows to ensure that your applicants are presented with the right set of legal documentation (for example, your or Sumsub's privacy notice) before onboarding.

See [Applicant Privacy Disclosures and Consent Requirements](https://docs.sumsub.com/sumsub/docs/applicant-privacy-disclosures-and-consent-requirements) for more details.

<Callout icon="📘" theme="info">
  ### Note

  Sumsub reserves the right to make any consents or notifications mandatory due to its own legal obligations.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the following [permissions](https://docs.sumsub.com/sumsub/docs/user-roles#permissions):

* **View applicants**
* **View applicant's personal data**

## Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/applicants/6819f8ef6de534aa22700000/acceptedAgreements' \
     -H 'accept: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON object representing the fact of the applicant granting consent or acknowledging a notification. It contains an `applicantAgreements` array, where each object corresponds to an individual text string (for example, consent or notification).

If no relevant text string is present in the applicant profile, the method returns no data.

| Field        | Type             | Description                                                                                                                                                              |
| :----------- | :--------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `createdAt`  | Date             | Date and time (GMT) when the applicant granted a specific consent or acknowledged a specific notification via the SDK, or when the record of such was added via the API. |
| `acceptedAt` | Date             | Date and time (GMT) when the applicant granted a specific consent or acknowledged a specific notification.                                                               |
| `type`       | String           | Indicates the way the consent was granted or the notification acknowledged (for example, during onboarding or via reusable KYC).                                         |
| `source`     | String           | Specifies the source from which the applicant granted the consent or acknowledged the notification (WebSDK, MSDK, API).                                                  |
| `ip`         | String           | IP address the applicant accepted from, derived by Sumsub at acceptance time. Can be empty for old records.                                                              |
| `records`    | Array of objects | Each object includes a `content` attribute that contains the text of the individually granted consent or acknowledged notification.                                      |

# Response examples

If the request is successfully sent and processed, you will get a response like one of those below.

```json Single item
{
   "applicantAgreements": [
       {
           "createdAt": "2025-05-06 11:56:43",
           "acceptedAt": "2025-05-06 11:56:43",
           "type": "onboarding",
           "source": "WebSDK",
           "ip": "203.0.113.7",
           "records": [
               {
                   "content": "agreement_text_1"
               }
           ]
       }
   ]
}
```
```json Multiple items
{
   "applicantAgreements": [
       {
           "createdAt": "2025-05-14 14:46:31",
           "acceptedAt": "2025-05-14 14:46:31",
           "type": "onboarding",
           "source": "WebSDK",
           "ip": "203.0.113.7",
           "records": [
               {
                   "content": "agreement_text_1"
               }
           ]
       },
       {
           "createdAt": "2025-05-14 14:46:31",
           "acceptedAt": "2025-05-14 14:34:57",
           "type": "onboarding",
           "source": "API",
           "ip": "203.0.113.7",
           "records": [
               {
                   "content": "agreement_text_2"
               },
               {
                   "content": "agreement_text_3"
               }
           ]
       }
   ]
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "correlationId": "bed53eb413f5d51518683d3b947e53a5",
  "errorCode": 0,
  "description": "Invalid id 'applicantId'"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/applicants/{applicantId}/acceptedAgreements": {
      "get": {
        "summary": "Get applicant-facing consents",
        "description": "",
        "operationId": "get-applicant-facing-consents",
        "parameters": [
          {
            "name": "applicantId",
            "in": "path",
            "description": "Unique identifier of the applicant in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```